## dub 0.1.0

=== DESCRIPTION ===
Package: dub
Type: Package
Title: Unpacking Assignment for Lists via Pattern Matching
Version: 0.1.0
Authors@R: person("Eugene", "Ha", , "eha@posteo.de", c("aut", "cre"))
Description: Provides an operator for assigning nested components of a list to
  names via a concise, Haskell-like pattern matching syntax. This is especially
  convenient for assigning individual names to the multiple values that a
  function may return in the form of a list, and for extracting deeply nested
  list components.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
ByteCompile: true
Suggests: covr, testthat
URL: https://github.com/egnha/dub
BugReports: https://github.com/egnha/dub/issues
Collate: 'util.R' 'assert.R' 'tree.R' 'names.R' 'assign.R'
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-16 13:40:32 UTC; eha
Author: Eugene Ha [aut, cre]
Maintainer: Eugene Ha <eha@posteo.de>
Repository: CRAN
Date/Publication: 2018-02-16 19:24:08 UTC

## dub 0.2.0

=== DESCRIPTION ===
Package: dub
Type: Package
Title: Unpacking Assignment for Lists via Pattern Matching
Version: 0.2.0
Authors@R: person("Eugene", "Ha", , "eha@posteo.de", c("aut", "cre"))
Description: Provides an operator for assigning nested components of a list to
  names via a concise pattern matching syntax. This is especially convenient for
  assigning individual names to the multiple values that a function may return
  in the form of a list, and for extracting deeply nested list components.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
ByteCompile: true
Suggests: covr, testthat
URL: https://github.com/egnha/dub
BugReports: https://github.com/egnha/dub/issues
Collate: 'util.R' 'assert.R' 'tree.R' 'names.R' 'assign.R'
RoxygenNote: 6.1.0
NeedsCompilation: no
Packaged: 2018-10-27 11:35:55 UTC; eha
Author: Eugene Ha [aut, cre]
Maintainer: Eugene Ha <eha@posteo.de>
Repository: CRAN
Date/Publication: 2018-10-27 12:10:02 UTC

## dub 0.9.24

=== debian/changelog ===
dub (0.9.24-2) unstable; urgency=medium

  * Tighten dependency on GDC
  * Fix build failure with Curl linked with --as-needed
    - Thanks to Matthias Klose for the patch! (Closes: #819569)

 -- Matthias Klumpp <mak@debian.org>  Thu, 31 Mar 2016 21:36:18 +0200

dub (0.9.24-1) unstable; urgency=medium

  * Initial release (Closes: #818482)

 -- Matthias Klumpp <mak@debian.org>  Sun, 20 Mar 2016 18:38:42 +0100

=== debian/control ===
Source: dub
Section: devel
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               gdc (>= 5.2),
               libcurl4-gnutls-dev | libcurl4-openssl-dev
Standards-Version: 3.9.6
Homepage: http://code.dlang.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dub.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dub.git

Package: dub
Architecture: any
Depends: gdc | ldc | d-compiler,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Package and build management system for D
 DUB is a build tool for D projects with support for automatically
 retrieving dependencies and integrating them in the build process.
 .
 The design emphasis is on maximum simplicity for simple projects, while
 providing the opportunity to customize things when needed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	$(CURDIR)/debian/build_dub.sh

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/D-Programming-Language/dub/tags .*/v?(\d\S*)\.tar\.gz

## dub 1.0.0

=== debian/changelog ===
dub (1.0.0-1) unstable; urgency=medium

  * Transfer package to the D team
  * New upstream release: 1.0.0
  * Bump standards version (no changes needed)
  * Update debian/copyright
  * Build in the build target

 -- Matthias Klumpp <mak@debian.org>  Tue, 12 Jul 2016 12:04:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dub
 Section: devel
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Debian D Language Group <pkg-d-devel@lists.alioth.debian.org>
+Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                gdc (>= 5.2),
                libcurl4-gnutls-dev | libcurl4-openssl-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://code.dlang.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dub.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dub.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-d/dub.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-d/dub.git
 
 Package: dub
 Architecture: any

## dub 1.2.0

=== debian/changelog ===
dub (1.2.0-1) unstable; urgency=medium

  * New upstream version: 1.2.0
  * Remove no-as-needed GDC linker hack

 -- Matthias Klumpp <mak@debian.org>  Tue, 24 Jan 2017 22:35:46 +0100

dub (1.1.1-1) unstable; urgency=medium

  * New upstream version: 1.1.1
  * Update debian/watch file

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Dec 2016 19:16:48 +0100

dub (1.0.0-2) unstable; urgency=medium

  * Prefer LDC over GDC in binary package dependencies

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Oct 2016 21:11:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian D Language Group <pkg-d-devel@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
-               gdc (>= 5.2),
+Build-Depends: debhelper (>= 10),
+               gdc (>= 6.2),
                libcurl4-gnutls-dev | libcurl4-openssl-dev
 Standards-Version: 3.9.8
 Homepage: http://code.dlang.org/
@@ -13,7 +13,7 @@
 
 Package: dub
 Architecture: any
-Depends: gdc | ldc | d-compiler,
+Depends: ldc | gdc | d-compiler,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Package and build management system for D

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,5 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
+override_dh_auto_build:
 	$(CURDIR)/debian/build_dub.sh

## dub 1.8.0

=== debian/changelog ===
dub (1.8.0-2) unstable; urgency=medium

  * gen_man-Add-missing-lz-linker-flag.patch: Add no-as-needed linker flag
    - This is needed in some configurations, like Ubuntu.
      Omitting it will result in not linking the binary to ZLib properly.

 -- Matthias Klumpp <mak@debian.org>  Mon, 26 Mar 2018 23:52:24 +0200

dub (1.8.0-1) unstable; urgency=medium

  * New upstream version: 1.8.0
  * Update Vcs-* URLs for Salsa switch
  * Display GDC command used for building dub in log
  * Ensure we build with the latest, fixed GDC 8 (Closes: #891147)
    - This resolves a nasty issue which made dub not being able to
      download any dependency.
  * add-gdc-8-as-valid-compiler.patch: Make dub recognize gdc-8
    as version of GDC by default.
  * Replace existing manpage with dub's own manual pages
    - gen_man-Fix-build-with-gdc-8.patch: Adjust to older Phobos
    - gen_man-Add-missing-lz-linker-flag.patch: Link manpage
      generator against zlib
  * Install shell completion
  * Switch to dh compat level 11

 -- Matthias Klumpp <mak@debian.org>  Sun, 25 Mar 2018 21:56:54 +0200

dub (1.7.2-1) unstable; urgency=medium

  * New upstream version: 1.7.2
  * Enforce building with GDC 8 (Closes: #890366)

 -- Matthias Klumpp <mak@debian.org>  Fri, 16 Feb 2018 14:11:28 +0100

dub (1.7.0-2) unstable; urgency=medium

  * Fix typo in build script to set the right version number

 -- Matthias Klumpp <mak@debian.org>  Wed, 03 Jan 2018 21:54:56 +0100

dub (1.7.0-1) unstable; urgency=medium

  * New upstream version: 1.7.0
  * dub: Depend on default-d-compiler
  * Add back no-as-needed GDC linker hack
    - Certain configurations still need it (Closes: #884701)

 -- Matthias Klumpp <mak@debian.org>  Wed, 03 Jan 2018 21:34:18 +0100

dub (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sun, 17 Dec 2017 17:34:45 +0100

=== debian/control ===
Source: dub
Section: devel
Priority: optional
Maintainer: Debian D Language Group <pkg-d-devel@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper (>= 11),
               gdc-8 (>= 8-20180321) | gdc (>= 8),
               libcurl4-gnutls-dev | libcurl4-openssl-dev
Standards-Version: 4.1.2
Homepage: http://code.dlang.org/
Vcs-Git: https://salsa.debian.org/d-team/dub.git
Vcs-Browser: https://salsa.debian.org/d-team/dub

Package: dub
Architecture: any
Depends: default-d-compiler,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Package and build management system for D
 DUB is a build tool for D projects with support for automatically
 retrieving dependencies and integrating them in the build process.
 .
 Its design emphasis is on maximum simplicity for simple projects, while
 providing the opportunity to customize things when needed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export GDC=gdc-8

INSTALL_DIR = $(CURDIR)/debian/dub/

%:
	dh $@

override_dh_auto_build:
	$(CURDIR)/debian/build_dub.sh

	# create manual pages
	cd $(CURDIR)/bin/ && ./dub $(CURDIR)/scripts/man/gen_man.d

override_dh_install:
	dh_install

	# install shell completions
	mkdir -p $(INSTALL_DIR)//usr/share/bash-completion/completions/
	cp $(CURDIR)/scripts/bash-completion/dub.bash $(INSTALL_DIR)/usr/share/bash-completion/completions/dub
	mkdir -p $(INSTALL_DIR)/usr/share/fish/completions/
	cp $(CURDIR)/scripts/fish-completion/dub.fish $(INSTALL_DIR)/usr/share/fish/completions/


override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/scripts/man/*.1

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/dlang/dub/tags .*/v?(\d\S*)\.tar\.gz

## dub 1.10.0

=== debian/changelog ===
dub (1.10.0-1) unstable; urgency=medium

  * New upstream version: 1.10.0
  * Bump standards version: No changes needed
  * Drop all patches: Applied upstream
  * Use HTTPS version of homepage URL

 -- Matthias Klumpp <mak@debian.org>  Wed, 29 Aug 2018 15:45:24 +0200

dub (1.8.0-3) unstable; urgency=medium

  * Update maintainer address to tracker.d.o
  * Build with the default GDC (if >= 8) again
  * Drop add-gdc-8-as-valid-compiler.patch: No longer needed

 -- Matthias Klumpp <mak@debian.org>  Sun, 06 May 2018 22:28:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dub
 Section: devel
 Priority: optional
-Maintainer: Debian D Language Group <pkg-d-devel@lists.alioth.debian.org>
+Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper (>= 11),
-               gdc-8 (>= 8-20180321) | gdc (>= 8),
+               gdc (>= 4:8.2),
                libcurl4-gnutls-dev | libcurl4-openssl-dev
-Standards-Version: 4.1.2
-Homepage: http://code.dlang.org/
+Standards-Version: 4.2.0
+Homepage: https://code.dlang.org/
 Vcs-Git: https://salsa.debian.org/d-team/dub.git
 Vcs-Browser: https://salsa.debian.org/d-team/dub

## dub 1.12.1

=== debian/changelog ===
dub (1.12.1-1) unstable; urgency=medium

  * New upstream version: 1.12.1

 -- Matthias Klumpp <mak@debian.org>  Fri, 21 Dec 2018 22:30:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 11),
                gdc (>= 4:8.2),
                libcurl4-gnutls-dev | libcurl4-openssl-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://code.dlang.org/
 Vcs-Git: https://salsa.debian.org/d-team/dub.git
 Vcs-Browser: https://salsa.debian.org/d-team/dub

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
-
-export GDC=gdc-8
 
 INSTALL_DIR = $(CURDIR)/debian/dub/

## dub 1.16.0

=== debian/changelog ===
dub (1.16.0-1build1) eoan; urgency=medium

  * No-change upload to build on s390x again.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2019 08:15:55 +0200

dub (1.16.0-1) unstable; urgency=medium

  * New upstream version: 1.16.0
  * Rebuild dub and add very simple autopkgtest
    so we catch issues early next time (Closes: #931825)
  * Bump dependency on GDC
  * Bump dh compat level and standards version: No changes needed
  * Simplify d/watch

 -- Matthias Klumpp <mak@debian.org>  Sat, 31 Aug 2019 20:54:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 11),
-               gdc (>= 4:8.2),
+Build-Depends: debhelper-compat (= 12),
+               gdc (>= 4:9.2),
                libcurl4-gnutls-dev | libcurl4-openssl-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://code.dlang.org/
 Vcs-Git: https://salsa.debian.org/d-team/dub.git
 Vcs-Browser: https://salsa.debian.org/d-team/dub

## dub 1.19.0

=== debian/changelog ===
dub (1.19.0-1build2) focal; urgency=medium

  * No-change rebuild for libgphobos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:40:10 +0100

dub (1.19.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:37 +0100

dub (1.19.0-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.19.0
  * Set Rules-Requires-Root: no

  [ Nilesh ]
  * Bump standards version (no changes needed)

 -- Matthias Klumpp <mak@debian.org>  Sun, 12 Jan 2020 10:56:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper-compat (= 12),
                gdc (>= 4:9.2),
                libcurl4-gnutls-dev | libcurl4-openssl-dev
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://code.dlang.org/
 Vcs-Git: https://salsa.debian.org/d-team/dub.git
 Vcs-Browser: https://salsa.debian.org/d-team/dub

=== debian/tests/control ===
Tests: run
Depends: dub

## dub 1.22.0

=== debian/changelog ===
dub (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Bump standards version: No changes needed
  * Ensure GDC 10+ is used for building

 -- Matthias Klumpp <mak@debian.org>  Sat, 08 Aug 2020 19:32:26 +0200

dub (1.19.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add a needs-internet restriction to the autopkgtest.
    (Closes: #959507)

 -- Adrian Bunk <bunk@debian.org>  Tue, 16 Jun 2020 09:55:55 +0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               gdc (>= 4:9.2),
+               gdc (>= 4:10.1),
                libcurl4-gnutls-dev | libcurl4-openssl-dev
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://code.dlang.org/
 Vcs-Git: https://salsa.debian.org/d-team/dub.git
 Vcs-Browser: https://salsa.debian.org/d-team/dub

=== debian/tests/control ===
Tests: run
Depends: dub
Restrictions: needs-internet

## dub 1.27.0

=== debian/changelog ===
dub (1.27.0-3) unstable; urgency=medium

  * Team upload.
  * Replace deprecated body keyword with do (Closes: #1012914)
  * Add in annotate-esacping-ref.patch

 -- Nilesh Patra <nilesh@debian.org>  Sat, 13 Aug 2022 16:11:10 +0530

dub (1.27.0-2) unstable; urgency=medium

  * Explicitly make binary package depend on a curl library variant, as dub
    stopped linking against libcurl explicitly with its build system changes
    - This fixes the autopkgtest failures

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Nov 2021 21:14:06 +0100

dub (1.27.0-1) unstable; urgency=medium

  * New upstream version: 1.27.0
    - Fixes FTBFS with GDC >= 11 (Closes: #922782, #994559)
    - Resolves autopkg test failure, package fetching
      seems to work reliably now (Closes: #981229)

 -- Matthias Klumpp <mak@debian.org>  Sun, 07 Nov 2021 18:46:58 +0100

dub (1.24.0-1) unstable; urgency=medium

  * New upstream version: 1.24.0
  * Build using the build.d script with gdmd instead of using
    the old Debian-specific shell script

 -- Matthias Klumpp <mak@debian.org>  Tue, 26 Jan 2021 22:48:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               gdc (>= 4:10.1),
+               gdc (>= 4:11.2),
+               gdmd,
                libcurl4-gnutls-dev | libcurl4-openssl-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://code.dlang.org/
 Vcs-Git: https://salsa.debian.org/d-team/dub.git
 Vcs-Browser: https://salsa.debian.org/d-team/dub
@@ -15,8 +16,10 @@
 Package: dub
 Architecture: any
 Depends: default-d-compiler,
+         libcurl3-gnutls | libcurl4,
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: gdmd | ldc
 Description: Package and build management system for D
  DUB is a build tool for D projects with support for automatically
  retrieving dependencies and integrating them in the build process.

=== debian/tests/control ===
Tests: run
Depends: dub
Restrictions: needs-internet, allow-stderr

## dub 1.36.0

=== debian/changelog ===
dub (1.36.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:48:02 +1100

dub (1.36.0-1ubuntu1) noble; urgency=medium

  * Add t64 to explicit shared library dependencies.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 18:47:13 +1300

dub (1.36.0-1build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:13:51 +0000

dub (1.36.0-1) unstable; urgency=medium

  * New upstream version: 1.36.0

 -- Matthias Klumpp <mak@debian.org>  Sun, 18 Feb 2024 22:58:00 +0100

dub (1.34.0-1) unstable; urgency=medium

  * New upstream version: 1.34.0 (Closes: #1055293)
  * Bump standards version (no changes needed)
  * Drop all patches: Applied upstream
  * d/watch: Ignore development versions
  * Work around linker errors described in
    https://github.com/dlang/dub/issues/2577 by making GDC generate code for
    all template instantiations.

 -- Matthias Klumpp <mak@debian.org>  Sat, 04 Nov 2023 20:34:14 +0100

dub (1.27.0-4) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with gcc-13 (Closes: #1037627)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 03 Nov 2023 16:39:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dub
 Section: devel
 Priority: optional
-Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               gdc (>= 4:11.2),
+Build-Depends: debhelper-compat (= 13),
+               gdc (>= 4:12.2),
                gdmd,
                libcurl4-gnutls-dev | libcurl4-openssl-dev
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
 Homepage: https://code.dlang.org/
 Vcs-Git: https://salsa.debian.org/d-team/dub.git
 Vcs-Browser: https://salsa.debian.org/d-team/dub
@@ -16,7 +17,7 @@
 Package: dub
 Architecture: any
 Depends: default-d-compiler,
-         libcurl3-gnutls | libcurl4,
+         libcurl3t64-gnutls | libcurl4t64,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: gdmd | ldc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

INSTALL_DIR = $(CURDIR)/debian/dub/
DEB_VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')

export GITVER=$(DEB_VERSION)

export DFLAGS=-frelease -fall-instantiations

%:
	dh $@

override_dh_auto_build:
	gdmd -run $(CURDIR)/build.d \
		-g -O -wi -release

	# create manual pages
	cd $(CURDIR)/bin/ && \
		DFLAGS="-frelease -fall-instantiations -Wno-error=deprecated" \
		./dub $(CURDIR)/scripts/man/gen_man.d

override_dh_install:
	dh_install

	# install shell completions
	mkdir -p $(INSTALL_DIR)/usr/share/bash-completion/completions/
	cp $(CURDIR)/scripts/bash-completion/dub.bash $(INSTALL_DIR)/usr/share/bash-completion/completions/dub
	mkdir -p $(INSTALL_DIR)/usr/share/fish/completions/
	cp $(CURDIR)/scripts/fish-completion/dub.fish $(INSTALL_DIR)/usr/share/fish/completions/

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/scripts/man/*.1

## dub 1.38.1

=== debian/changelog ===
dub (1.38.1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Zixing Liu ]
  * d/rules: workaround multiple issues with GDC/GDMD.
    GDC/GDMD has a misoptimization issue when enabling LTO on some platforms,
    also GDMD does not recognize some of the flags that are accepted by GDC.
    We workaround the flags issue by replacing/deleting them. We also
    make dub builds slightly faster by grouping all compilation units
    together (using --single and --combined).

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 20 Jan 2025 12:30:21 -0700

dub (1.38.1-1) unstable; urgency=medium

  [ Zixing Liu ]
  * New upstream version: 1.38.1 (Closes: #1092876)
  * d/rules: use system DFLAGS when compiling dub

  [ Gianfranco Costamagna ]
  * Team upload

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 17 Jan 2025 08:39:36 -0700

dub (1.36.0-3) unstable; urgency=medium

  * Fix gdc builds

 -- Matthias Klumpp <mak@debian.org>  Tue, 07 May 2024 00:46:02 +0200

dub (1.36.0-2) unstable; urgency=medium

  * Update library dependencies for t64 transition (Closes: #1069009)
  * Build with the Debian default D compiler
    - This resolves some issues with the GDC builds by not using
      GDC on architectures where LDC works.
      It may also help resolving some FTBFS issues and likely closes: #1067825

 -- Matthias Klumpp <mak@debian.org>  Mon, 06 May 2024 20:52:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: dub
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
+Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gdc (>= 4:12.2),
+               dh-dlang (>= 0.6.6),
                gdmd,
                libcurl4-gnutls-dev | libcurl4-openssl-dev
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -2,24 +2,39 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
+include /usr/share/dh-dlang/dlang-flags.mk
+
 INSTALL_DIR = $(CURDIR)/debian/dub/
 DEB_VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')
 
+export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 export GITVER=$(DEB_VERSION)
 
-export DFLAGS=-frelease -fall-instantiations
+ifeq ($(DC),ldc2)
+	ALLINST_FLAG=-allinst
+	DC_WRAP=ldmd2
+else
+	ALLINST_FLAG=-fall-instantiations
+	EXTRA_DFLAGS=-wi -d
+	DC_WRAP=gdmd
+# Translate/Filter out options that are accepted by GDC but not accepted by GDMD
+	DFLAGS := $(patsubst -O%,-O,$(DFLAGS))
+	DFLAGS := $(patsubst -W%,,$(DFLAGS))
+endif
+DFLAGS += $(EXTRA_DFLAGS) $(ALLINST_FLAG)
+export DFLAGS
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	gdmd -run $(CURDIR)/build.d \
-		-g -O -wi -release
+	DMD=$(DC_WRAP) DFLAGS="$(ALLINST_FLAG)" $(DC_WRAP) \
+		-run $(CURDIR)/build.d \
+		$(DFLAGS)
 
 	# create manual pages
 	cd $(CURDIR)/bin/ && \
-		DFLAGS="-frelease -fall-instantiations -Wno-error=deprecated" \
-		./dub $(CURDIR)/scripts/man/gen_man.d
+		HOME=$(CURDIR)/debian ./dub run -v --single --combined --compiler=$(DC_WRAP) $(CURDIR)/scripts/man/gen_man.d
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=4

opts=uversionmangle=s/^(\d+\.\d+\.\d+-(?:rc|beta)\.\d+)$/0.$1/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dub-$1\.tar\.gz/ \
  https://github.com/dlang/dub/tags .*/v?(\d\S*)\.tar\.gz

## dub 1.40.0

=== debian/changelog ===
dub (1.40.0-1build2) questing; urgency=medium

  * No-change rebuild for libgphoos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Sep 2025 20:43:43 +0200

dub (1.40.0-1build1) questing; urgency=medium

  * No-change rebuild for libgphoos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Aug 2025 16:09:49 +0200

dub (1.40.0-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.40.0
  * Bump standards version: No changes needed

  [ Fabio Fantoni ]
  * Improve d/gbp.conf
  * d/salsa-ci.yml: add Debian Salsa CI configurations
  * Make the build reproducible.
    Thanks to Chris Lamb (Closes: #1069663)
  * Update d/copyright
  * Add upstream metadata

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 19:48:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-dlang (>= 0.6.6),
                gdmd,
                libcurl4-gnutls-dev | libcurl4-openssl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://code.dlang.org/
 Vcs-Git: https://salsa.debian.org/d-team/dub.git
